> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Email Domain Verification Status

> Re-poll SES for the latest verification state for a domain and update the local row. Returns the refreshed domain.



## OpenAPI

````yaml GET /email/domains/{domain_id}/verify-status/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /email/domains/{domain_id}/verify-status/:
    get:
      tags:
        - email
      summary: Refresh Email Domain Verification Status
      description: >-
        Re-poll SES for the latest verification state for a domain and update
        the local row. Returns the refreshed domain.
      operationId: email_domains_verify_status_retrieve
      parameters:
        - in: path
          name: domain_id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailDomain'
          description: ''
        '400':
          description: No SES connection or SES API error.
        '404':
          description: Domain not found.
      security:
        - jwtAuth: []
        - {}
components:
  schemas:
    EmailDomain:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        domain:
          type: string
          maxLength: 255
        status:
          $ref: '#/components/schemas/StatusA39Enum'
        dns_records: {}
        verification_details: {}
        is_default:
          type: boolean
        is_deleted:
          type: boolean
        verified_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
          readOnly: true
        company:
          type: string
          format: uuid
        connection:
          type: string
          format: uuid
          nullable: true
      required:
        - company
        - domain
        - id
        - updated_at
    StatusA39Enum:
      enum:
        - pending
        - verified
        - failed
      type: string
      description: |-
        * `pending` - Pending
        * `verified` - Verified
        * `failed` - Failed
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````